import Exir from "../../ui";
import List from "./List";
import {store} from "./mystore"

export default Exir.createComponent('App',{
    click(){
        store.dispatch({
            type: 'inc'
        })
        // this.state.x++
        this.$isDirty = true
        this.$update()
    },
    render() { return <div>
        <h1 onClick={this.click}>Header</h1>
        {JSON.stringify(store.getState())}
        <div id={'container'}>
            <div>Items Header</div>
        </div>
        <List step={1500}>
        </List>
    </div>}
})